UnigeneCluster (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.unigene.UnigeneCluster interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.unigene
Interface UnigeneCluster

All Superinterfaces:
  Annotatable, Changeable

    public interface UnigeneCluster

extends Annotatable

A single unigene cluster.

This represents all of the information available about a single unigene cluster. This includes the sequences that are in it, the unique sequence that is its representative, the cluster id and all the annotation available via the data file. Much of the annotation may be accessible via the getAnnotation() method.

There is much more information in the Unigene clusters than just the id, title and sequences. This is all stoored in the annotation associated with the cluster. The annotation bundle conforms to the schema in `UnigeneTools.UNIGENE_ANNOTATION`.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`SequenceDB` | `getAll()` All sequences that map to this cluster.
`String` | `getID()` The public unigene ID.
`String` | `getTitle()` The cluster title.
`Sequence` | `getUnique()` The unique sequence that is used as a representative for this cluster.

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getID

    String getID()

  The public unigene ID.

  Returns:
    get the cluster ID as a String

### getTitle

    String getTitle()

  The cluster title.

  Returns:
    the cluster title as a String

### getAll

    SequenceDB getAll()

  All sequences that map to this cluster.

  Returns:
    a SequenceDB of all sequences mapping to this cluster.

### getUnique

    Sequence getUnique()

  The unique sequence that is used as a representative for this cluster.

  Returns:
    the cluster's unique Sequence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD